Poll Quotes
curl --request GET \
--url https://api.convallax.com/quote-requests/{id}/quotesimport requests
url = "https://api.convallax.com/quote-requests/{id}/quotes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.convallax.com/quote-requests/{id}/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.convallax.com/quote-requests/{id}/quotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.convallax.com/quote-requests/{id}/quotes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.convallax.com/quote-requests/{id}/quotes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.convallax.com/quote-requests/{id}/quotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"bestQuote": {
"maker_id": "mm-alpha",
"quote_id": "8f3c2b1a-1d2e-4c3b-9a8f-6e5d4c3b2a1f",
"maker": "0x1234000000000000000000000000000000abcd",
"side": "buy",
"price": 0.12,
"size": 10,
"expires_in_ms": 5000
},
"quoteCount": 3,
"status": "open",
"closed": false
}{
"success": false,
"error": "Quote request not found or expired"
}Trading
Poll Quotes
Poll for the latest market maker quotes on an open quote request. Returns the current best quote and total count.
GET
/
quote-requests
/
{id}
/
quotes
Poll Quotes
curl --request GET \
--url https://api.convallax.com/quote-requests/{id}/quotesimport requests
url = "https://api.convallax.com/quote-requests/{id}/quotes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.convallax.com/quote-requests/{id}/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.convallax.com/quote-requests/{id}/quotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.convallax.com/quote-requests/{id}/quotes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.convallax.com/quote-requests/{id}/quotes")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.convallax.com/quote-requests/{id}/quotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"bestQuote": {
"maker_id": "mm-alpha",
"quote_id": "8f3c2b1a-1d2e-4c3b-9a8f-6e5d4c3b2a1f",
"maker": "0x1234000000000000000000000000000000abcd",
"side": "buy",
"price": 0.12,
"size": 10,
"expires_in_ms": 5000
},
"quoteCount": 3,
"status": "open",
"closed": false
}{
"success": false,
"error": "Quote request not found or expired"
}Poll for the current best quote submitted by market makers on an open quote request.
The preferred transport for live pricing is the SSE stream
GET /quote-requests/{id}/stream, which pushes an update only when the best quote changes. This poll endpoint still exists as a fallback for clients that cannot use Server-Sent Events.Path Parameters
The requestId returned by Create Quote Request.
Example:
"req-789"
Was this page helpful?
